tidy::body
tidy::__construct
Tidy
PHP Manual

# tidy::cleanRepair

# tidy_clean_repair

(PHP 5, PECL tidy >= 0.5.2)

tidy::cleanRepair -- tidy_clean_repair — Execute configured cleanup and repair operations on parsed markup

### Description

Object oriented style

bool tidy::cleanRepair ( void )

Procedural style

bool tidy_clean_repair ( tidy `$object` )

This function cleans and repairs the given tidy `object`.

### Parameters

`object`

  The Tidy object.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 tidy::cleanrepair() example

`<?php
$html = '<p>test</I>';
$tidy = tidy_parse_string($html);
$tidy->cleanRepair();
echo $tidy;
?>`

The above example will output:

    <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 3.2//EN">
    <html>
    <head>
    <title></title>
    </head>
    <body>
    <p>test</p>
    </body>
    </html>

### See Also

- tidy::repairFile() - Repair a file and return it as a string
- tidy::repairString() - Repair a string using an optionally provided configuration file

tidy::body
tidy::__construct
Tidy
PHP Manual